/********************************************************************
	Created:	3:10:2003   13:50
	Filename: 	rc2test.h
	Author:		Yubo
	
	Purpose:	interface for the RC2Test class.
*********************************************************************/
#ifndef  _RC2_H_
#define _RC2_H_

#include "BaseAll.h"
class RC2Test : public CBaseAll  
{
public:
	void Test(void);
	RC2Test(char* dll_file_path);
	virtual ~RC2Test();

private:
	void GenerateKey(void);
	void crypt_Single(void);
	void crypt_Update(void);
private:
	CK_OBJECT_HANDLE m_hKey;
};

#endif // _RC2_H_
